pcl::cuda::SetColor Struct Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/io/include/pcl/cuda/io/predicate.h>`

## Public Member Functions

| SetColor (const OpenNIRGB &color)
__inline__ __host__ __device__ void | operator() (PointXYZRGB &point)

## Public Attributes

OpenNIRGB | color_

## Detailed Description

Definition at line 71 of file predicate.h.

## Constructor & Destructor Documentation

## SetColor()

pcl::cuda::SetColor::SetColor | ( | const OpenNIRGB & | color | ) |

inline

Definition at line 73 of file predicate.h.

## Member Function Documentation

## operator()()

__inline__ __host__ __device__ void pcl::cuda::SetColor::operator() | ( | PointXYZRGB & | point | ) |

inline

Definition at line 75 of file predicate.h.

References pcl::cuda::OpenNIRGB::b, pcl::cuda::RGB::b, color_, pcl::cuda::RGB::g, pcl::cuda::OpenNIRGB::g, pcl::cuda::RGB::r, pcl::cuda::OpenNIRGB::r, and pcl::cuda::PointXYZRGB::rgb.

## Member Data Documentation

## color_

OpenNIRGB pcl::cuda::SetColor::color_

Definition at line 76 of file predicate.h.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/cuda/io/include/pcl/cuda/io/predicate.h